CREATE TABLE msc_bm_options (
    CONFIGURATION_ID                 NUMBER(10, 0) ,
    HORIZON_START                    TIMESTAMP(6)  ,
    BUCKETS_PER_HORIZON              NUMBER(10, 0) ,
    LAST_BASELINE_HORIZON_START      TIMESTAMP(6)  ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    DEFAULT_PRIORITY_RULE_ID         NUMBER        ,
    DEFAULT_ASSIGNMENT_SET_ID        NUMBER        ,
    DAYS_PASTDUE                     NUMBER        ,
    DEM_FULFIL_LEAD_TIME             NUMBER        ,
    CATEGORY_SET_ID                  NUMBER        ,
    SUPPLY_PLAN                      VARCHAR2(4000),
    LAST_IMPORT_DATA_RUN_DATE        TIMESTAMP(6)  ,
    ALLOCATION_ATTRIBUTE_ID_1        NUMBER        ,
    ALLOCATION_ATTRIBUTE_ID_2        NUMBER        ,
    ALLOCATION_ATTRIBUTE_ID_3        NUMBER        ,
    SUPPLY_ALLOCATION_TYPE           NUMBER        ,
    LAST_ATP_RULE_UPDATE             TIMESTAMP(6)  ,
    CALCULATE_CONSTRAINT             NUMBER        ,
    ENABLE_SCHEDULING_DIAGNOSTICS    NUMBER(1, 0)  ,
    MAXIMUM_DIAGNOSTIC_COUNT         NUMBER        ,
    CONFIGURATION_ID                 NUMBER(10, 0) ,
    HORIZON_START                    TIMESTAMP(6)  ,
    BUCKETS_PER_HORIZON              NUMBER(10, 0) ,
    LAST_BASELINE_HORIZON_START      TIMESTAMP(6)  ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    DEFAULT_PRIORITY_RULE_ID         NUMBER        ,
    DEFAULT_ASSIGNMENT_SET_ID        NUMBER        ,
    DAYS_PASTDUE                     NUMBER        ,
    DEM_FULFIL_LEAD_TIME             NUMBER        ,
    CATEGORY_SET_ID                  NUMBER        ,
    SUPPLY_PLAN                      VARCHAR2(4000),
    LAST_IMPORT_DATA_RUN_DATE        TIMESTAMP(6)  ,
    ALLOCATION_ATTRIBUTE_ID_1        NUMBER        ,
    ALLOCATION_ATTRIBUTE_ID_2        NUMBER        ,
    ALLOCATION_ATTRIBUTE_ID_3        NUMBER        ,
    SUPPLY_ALLOCATION_TYPE           NUMBER        ,
    LAST_ATP_RULE_UPDATE             TIMESTAMP(6)  ,
    CALCULATE_CONSTRAINT             NUMBER        ,
    ENABLE_SCHEDULING_DIAGNOSTICS    NUMBER(1, 0)  ,
    MAXIMUM_DIAGNOSTIC_COUNT         NUMBER        ,
    CONSTRAINT pk_msc_bm_options PRIMARY KEY (CONFIGURATION_ID, CONFIGURATION_ID)
);
